botruntime
API ReferenceAdmin API

List Public Workspaces

List public workspaces

GET
/v1/admin/workspaces/public

Query Parameters

nextToken?string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize?integer

Number of items to return per page (default 20, max 100)

workspaceIds?array<string>

Ids of the workspaces to list

search?string

Search query

Header Parameters

x-multiple-integrations?string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/workspaces/public"
{  "workspaces": [    {      "id": "string",      "name": "string",      "createdAt": "string",      "updatedAt": "string",      "about": "",      "profilePicture": "",      "contactEmail": "",      "website": "",      "socialAccounts": [],      "handle": ""    }  ],  "meta": {    "nextToken": "string"  }}
{  "workspaces": [    {      "id": "string",      "name": "string",      "createdAt": "string",      "updatedAt": "string",      "about": "",      "profilePicture": "",      "contactEmail": "",      "website": "",      "socialAccounts": [],      "handle": ""    }  ],  "meta": {    "nextToken": "string"  }}